Page MenuHomePhabricator

Undefined property: DeletedContribsPager::$newOnly in ContributionsFormatter::format
Closed, ResolvedPublic

Description

Spotted one occurrence in the Wikimedia production logs:

Undefined property: DeletedContribsPager::$newOnly
in /srv/mediawiki/php-1.28.0-wmf.22/extensions/Flow/includes/Formatter/ContributionsFormatter.php on line 33

ContributionsFormatter::format
public function format( FormatterRow $row, IContextSource $ctx ) {
    
    if ( $ctx->newOnly && !$isNewPage ) {
        return false;
    }
    
}

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 24 2016, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Dereckson renamed this task from Undefined property: DeletedContribsPager::$newOnly in ContributionsFormatter to Undefined property: DeletedContribsPager::$newOnly in ContributionsFormatter::format.Oct 24 2016, 3:05 PM
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)

So the IContextSource interface doesn't specify any $newOnly property.

Still a lot this Sunday. After a HTTP 5xx reqs/min spike, logs reported 44 times the issue on 1.29.0-wmf.1.

Change 320201 had a related patch set uploaded (by Sbisson):
Filter newOnly contribution in query instead of in formatter

https://gerrit.wikimedia.org/r/320201

Change 320201 merged by jenkins-bot:
Filter newOnly contribution in query instead of in formatter

https://gerrit.wikimedia.org/r/320201

Checked https://logstash.wikimedia.org/app/kibana#/dashboard/ - no errors; the overall functionality of Special:DeletedContributions page seem to be fine.

jmatazzoni closed this task as Resolved.Dec 14 2016, 7:55 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM